Skip to main content
POST
/
managed_accounts
Create managed account
curl --request POST \
  --url https://api.vantage.sh/v2/managed_accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "contact_email": "<string>",
  "access_credential_tokens": [
    "<string>"
  ],
  "billing_rule_tokens": [
    "<string>"
  ],
  "email_domain": "<string>"
}
'
import requests

url = "https://api.vantage.sh/v2/managed_accounts"

payload = {
"name": "<string>",
"contact_email": "<string>",
"access_credential_tokens": ["<string>"],
"billing_rule_tokens": ["<string>"],
"email_domain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
contact_email: '<string>',
access_credential_tokens: ['<string>'],
billing_rule_tokens: ['<string>'],
email_domain: '<string>'
})
};

fetch('https://api.vantage.sh/v2/managed_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "acct_ace620fc3d602740",
  "name": "New Managed Account",
  "contact_email": "admin@acme.com",
  "parent_account_token": "acct_e6baa6dcf81b4e20",
  "access_credential_tokens": [
    "accss_crdntl_72a8c8ab1d6c9d2c"
  ],
  "billing_rule_tokens": [],
  "email_domain": null
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a Managed Account.

name
string
required

The name of the Managed Account.

contact_email
string
required

The contact email address for the Managed Account.

access_credential_tokens
string[]

Access Credential (aka Integrations) tokens to assign to the Managed Account.

billing_rule_tokens
string[]

Billing Rule tokens to assign to the Managed Account, in their desired execution order. Tokens must be ordered by execution group: AWS transforms, then COST inserts, then COST transforms, then monthly post-transform inserts. Within a group any order is accepted and persisted as-is. Submitting a list whose cross-group ordering does not match the pipeline returns a 400.Existing rules with apply_to_all enabled will be added implicity to the end of their execution group.

email_domain
string

Email domain to associate with this Managed Account for SSO.

Response

ManagedAccount model

token
string
required
name
string
required
contact_email
string
required
parent_account_token
string
required

The token for the parent Account.

access_credential_tokens
string[]
required

The tokens for the Access Credentials assigned to the Managed Account.

billing_rule_tokens
string[]
required

The tokens for the Billing Rules assigned to the Managed Account, in the order they will execute against this account's cost data.

email_domain
string | null

Email domain associated with this Managed Account for SSO.

msp_billing_profile_token
string | null

Token of the MSP billing profile used for this managed account (MSP invoicing accounts only)

payment_terms_days
integer<int32> | null

Number of days until payment is due after invoice date (MSP invoicing accounts only)

include_managed_account_integrations
boolean | null

Whether to include managed account's own integrations in invoice cost calculations (MSP invoicing accounts only)

billing_information_attributes
object
business_information_attributes
object